Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample
Class MedicareRecord

    java.lang.Object
      com.ibm.jzos.sample.MedicareRecord

    public class MedicareRecord

extends java.lang.Object

A object which maps a fictional Medicare Record.

Field Summary
`static int` | `BUF_LEN`

Constructor Summary
`MedicareRecord()`
`MedicareRecord(byte[] buffer)`

Method Summary
`int` | `getAdmissionDate()`
`java.lang.String` | `getAutoAdjustmentInd()`
`int` | `getBenefitsExhaustInd()`
`int` | `getBenefitsPayInd()`
`int` | `getBillSource()`
`java.math.BigDecimal` | `getBloodDed()`
`int` | `getBloodPintsFurnished()`
`int` | `getBloodPintsReplaced()`
`byte[]` | `getBytes()` Answer the underlying byte array mapped by this object.
`java.lang.String` | `getClaimNumber()`
`int` | `getCoinsuranceDays()`
`int` | `getDischargeDate()`
`int` | `getFromDate()`
`int` | `getFullDays()`
`java.math.BigDecimal` | `getInpatientDed()`
`java.lang.String` | `getIntermediaryCtrlNum()`
`long` | `getIntermediaryNum()`
`int` | `getLifetimeResDays()`
`java.lang.String` | `getMedicareProvider()`
`java.lang.String` | `getPatientStatus()`
`int` | `getSequenceCounter()`
`int` | `getThruDate()`
`java.math.BigDecimal` | `getTotalCharges()`
`int` | `getTransactionInd()`
`void` | `setAdmissionDate(int admissionDate)`
`void` | `setAutoAdjustmentInd(java.lang.String autoAdjustmentInd)`
`void` | `setBenefitsExhaustInd(int benefitsExhaustInd)`
`void` | `setBenefitsPayInd(int benefitsPayInd)`
`void` | `setBillSource(int billSource)`
`void` | `setBloodDed(java.math.BigDecimal bloodDed)`
`void` | `setBloodPintsFurnished(int bloodPintsFurnished)`
`void` | `setBloodPintsReplaced(int bloodPintsReplaced)`
`void` | `setBytes(byte[] buffer)`
`void` | `setClaimNumber(java.lang.String claimNumber)`
`void` | `setCoinsuranceDays(int coinsuranceDays)`
`void` | `setDischargeDate(int dischargeDate)`
`void` | `setFromDate(int fromDate)`
`void` | `setFullDays(int fullDays)`
`void` | `setInpatientDed(java.math.BigDecimal inpatientDed)`
`void` | `setIntermediaryCtrlNum(java.lang.String intermediaryCtrlNum)`
`void` | `setIntermediaryNum(long intermediaryNum)`
`void` | `setLifetimeResDays(int lifetimeResDays)`
`void` | `setMedicareProvider(java.lang.String medicareProvider)`
`void` | `setPatientStatus(java.lang.String patientStatus)`
`void` | `setSequenceCounter(int sequenceCounter)`
`void` | `setThruDate(int thruDate)`
`void` | `setTotalCharges(java.math.BigDecimal totalCharges)`
`void` | `setTransactionInd(int transactionInd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUF_LEN

    public static final int BUF_LEN

See Also:
  Constant Field Values

Constructor Detail

### MedicareRecord

    public MedicareRecord()

### MedicareRecord

    public MedicareRecord(byte[] buffer)

Method Detail

### getBytes

    public byte[] getBytes()

  Answer the underlying byte array mapped by this object.

  Returns:
    byte[]

### setBytes

    public void setBytes(byte[] buffer)

### getAdmissionDate

    public int getAdmissionDate()

### setAdmissionDate

    public void setAdmissionDate(int admissionDate)

### getAutoAdjustmentInd

    public java.lang.String getAutoAdjustmentInd()

### setAutoAdjustmentInd

    public void setAutoAdjustmentInd(java.lang.String autoAdjustmentInd)

### getBenefitsExhaustInd

    public int getBenefitsExhaustInd()

### setBenefitsExhaustInd

    public void setBenefitsExhaustInd(int benefitsExhaustInd)

### getBenefitsPayInd

    public int getBenefitsPayInd()

### setBenefitsPayInd

    public void setBenefitsPayInd(int benefitsPayInd)

### getBillSource

    public int getBillSource()

### setBillSource

    public void setBillSource(int billSource)

### getBloodDed

    public java.math.BigDecimal getBloodDed()

### setBloodDed

    public void setBloodDed(java.math.BigDecimal bloodDed)

### getBloodPintsFurnished

    public int getBloodPintsFurnished()

### setBloodPintsFurnished

    public void setBloodPintsFurnished(int bloodPintsFurnished)

### getBloodPintsReplaced

    public int getBloodPintsReplaced()

### setBloodPintsReplaced

    public void setBloodPintsReplaced(int bloodPintsReplaced)

### getClaimNumber

    public java.lang.String getClaimNumber()

### setClaimNumber

    public void setClaimNumber(java.lang.String claimNumber)

### getCoinsuranceDays

    public int getCoinsuranceDays()

### setCoinsuranceDays

    public void setCoinsuranceDays(int coinsuranceDays)

### getDischargeDate

    public int getDischargeDate()

### setDischargeDate

    public void setDischargeDate(int dischargeDate)

### getFromDate

    public int getFromDate()

### setFromDate

    public void setFromDate(int fromDate)

### getFullDays

    public int getFullDays()

### setFullDays

    public void setFullDays(int fullDays)

### getInpatientDed

    public java.math.BigDecimal getInpatientDed()

### setInpatientDed

    public void setInpatientDed(java.math.BigDecimal inpatientDed)

### getIntermediaryCtrlNum

    public java.lang.String getIntermediaryCtrlNum()

### setIntermediaryCtrlNum

    public void setIntermediaryCtrlNum(java.lang.String intermediaryCtrlNum)

### getIntermediaryNum

    public long getIntermediaryNum()

### setIntermediaryNum

    public void setIntermediaryNum(long intermediaryNum)

### getLifetimeResDays

    public int getLifetimeResDays()

### setLifetimeResDays

    public void setLifetimeResDays(int lifetimeResDays)

### getMedicareProvider

    public java.lang.String getMedicareProvider()

### setMedicareProvider

    public void setMedicareProvider(java.lang.String medicareProvider)

### getPatientStatus

    public java.lang.String getPatientStatus()

### setPatientStatus

    public void setPatientStatus(java.lang.String patientStatus)

### getSequenceCounter

    public int getSequenceCounter()

### setSequenceCounter

    public void setSequenceCounter(int sequenceCounter)

### getThruDate

    public int getThruDate()

### setThruDate

    public void setThruDate(int thruDate)

### getTotalCharges

    public java.math.BigDecimal getTotalCharges()

### setTotalCharges

    public void setTotalCharges(java.math.BigDecimal totalCharges)

### getTransactionInd

    public int getTransactionInd()

### setTransactionInd

    public void setTransactionInd(int transactionInd)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD